#include<iostream>

using namespace std;

main(){
	int a1,a2;
	string c1,c2,c3;
	cin >> c1;
	cin >> c2;
	cin >> a1;
	cin >> a2;
	if(a1==a2){
		for(int i=0;i<a1;i++){
			c3=c3+c1+c2;
		}
		cout << c3;
	}else {
	if(a1-a2==1){
		for(int i=0;i<a1;i++){
				c3=c3+c1;
			for(int i=0;i<a2;i++){
				c3=c3+c2;
				break;
			}
		}
		cout << c3.erase(a1+a2,1);
	}else{
	if(a2-a1==1){
		for(int i=0;i<a2;i++){
				c3=c3+c2;
			for(int i=0;i<a1;i++){
				c3=c3+c1;
				break;
			}
		}
		cout << c3.erase(a1+a2,1);
	}else{
		cout << "nemoguce";
	}
	}
	}
}